/**
 * @fileOverview excel parser
 * @name parser
 * @author Yuhei Aihara
 */
import { Cell } from './cell';
interface Files {
    strings: {
        contents: string;
    };
    book: {
        contents: string;
    };
    sheets: Array<{
        num: number;
        contents: string;
    }>;
}
interface Data {
    num: number;
    name: string;
    cells: Cell[];
}
declare class ExcelParser {
    processes: number;
    /**
     * @param {String} filepath
     * @param {Array} sheets
     */
    extractFiles(filepath: string, sheets: number[]): Promise<Files>;
    /**
     * @param {Object} files
     */
    extractData(files: Files): Promise<Data[]>;
    execute(filePath: string, sheets: number[]): Promise<Data[]>;
}
declare const _default: ExcelParser;
export default _default;
